Delete a specific promotion - Fabric
Delete a specific promotion
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/promotions/{promotionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/promotions/{promotionId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/promotions/{promotionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
- 200: OK
- 400: Bad Request
- 401: Unauthorized
- 404: Not Found
- 500: Internal Server Error
Error Messages
{
"type": "PROMO_CANNOT_BE_DELETED",
"message": "Promotion can only be deleted in scheduled status"
}
{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}
{
"type": "PROMOTION_NOT_FOUND",
"message": "The promotion you entered doesn't exist"
}
{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
Authorizations
- Authorization:
Bearer <token> - required
- x-fabric-tenant-id: The unique identifier for the tenant making the request; required.
Path Parameters
- promotionId: Required - The unique identifier for the promotion.